<?php

/**
 * @class m121114_120630_tbl_candidatos_documentos
 * @var $this CDbMigration
 * @package application.migrations
 */

class m121114_120630_tbl_candidatos_documentos extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_candidatos_documentos', array(
            'id' => 'pk',
            'id_candidato' => 'integer NOT NULL',
            'fecha' => 'datetime',
            'titulo' => 'string',
            'nombre_fichero' => 'string',
        ), 'ENGINE=InnoDB CHARSET=utf8');
        $this->addForeignKey('fk_candidatos_documentos_1', 'tbl_candidatos_documentos', 'id_candidato', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
    }

    public function safeDown() {
        $this->dropForeignKey('fk_candidatos_documentos_1', 'tbl_candidatos_documentos');
        $this->dropTable('tbl_candidatos_documentos');
    }
}

?>